# $Revision: 1.16 $, $Date: 2011/12/09 12:27:27 $
%define		mod_name	macro
%define 	apxs		%{_sbindir}/apxs1
Summary:	Apache module to allow macros in apache config files
Summary(pl.UTF-8):	Moduł do apache pozwalający używać makr w konfiguracji
Name:		apache1-mod_%{mod_name}
Version:	1.1.2
Release:	1
License:	Apache
Group:		Networking/Daemons/HTTP
Source0:	http://www.cri.ensmp.fr/~coelho/mod_macro/mod_%{mod_name}-%{version}.tar.bz2
# Source0-md5:	dc1e6785f07ee6760af3eda564969850
URL:		http://www.cri.ensmp.fr/~coelho/mod_macro/
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.228
Requires:	apache1(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
Apache module to allow macros in apache config files.

%description -l pl.UTF-8
Moduł do apache pozwalający używać makr w plikach konfiguracyjnych.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install -p mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
echo 'LoadModule %{mod_name}_module modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_macro.spec,v $
Revision 1.16  2011/12/09 12:27:27  glen
- apache 1.3 version

Revision 1.15  2011/05/25 23:14:11  zbyniu
- up to 1.1.11

Revision 1.14  2010/01/03 02:47:54  glen
- fix dirdep; rel 2

Revision 1.13  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.12  2007/12/27 23:45:26  zbyniu
- up to 1.1.10

Revision 1.11  2007-12-23 22:24:11  zbyniu
- up to 1.1.9

Revision 1.10  2007-02-12 21:23:47  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.8  2006/10/31 01:24:39  zbyniu
- up to 1.1.8

Revision 1.7  2006/05/14 18:53:44  zbyniu
- up to 1.1.7

Revision 1.6  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.5  2006/01/30 17:39:10  glen
- use %service

Revision 1.4  2006/01/30 15:07:10  zbyniu
- missing dir in install; rel 1

Revision 1.3  2005/12/27 00:09:49  glen
- use apache_modules_api

Revision 1.2  2005/12/27 00:09:21  glen
- unified

Revision 1.1  2005/10/27 22:06:28  zbyniu
- new
